{******************************************************************************}
{                                                                              }
{ Project JEDI                                                                 }
{ Sample program donated to Michael DeVault  DeVaSys.                          }
{                                                                              }
{ The contents of this file are subject to the Mozilla Public License Version  }
{ 1.1 (the "License"); you may not use this file except in compliance with the }
{ License. You may obtain a copy of the License at http://www.mozilla.org/MPL/ }
{                                                                              }
{ Software distributed under the License is distributed on an "AS IS" basis,   }
{ WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for }
{ the specific language governing rights and limitations under the License.    }
{                                                                              }
{ The Original Code is Splash.pas.                                             }
{                                                                              }
{ The Initial Developer of the Original Code is Robert Marquardt.              }
{ Copyright (C) 2001 Robert Marquardt                                          }
{                                                                              }
{******************************************************************************}

unit Splash;

interface

uses
  Windows, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, ExtCtrls, ShellApi, jpeg;

type
  TSplashScreen = class(TForm)
    Timer1: TTimer;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Link: TLabel;
    Label3: TLabel;
    DllVersion: TLabel;
    Label5: TLabel;
    Image2: TImage;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure LinkClick(Sender: TObject);
    procedure Image2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  SplashScreen: TSplashScreen;

implementation

uses
  usbi2cio;

{$R *.DFM}

procedure TSplashScreen.FormCreate(Sender: TObject);
var
  Vers: WORD;
begin
  Vers := DAPI_GetDllVersion;
  DllVersion.Caption := 'DLL-Version ' +
    Format('%u.%.2u', [(Vers shr 8), Vers and $FF]);
end;

procedure TSplashScreen.Timer1Timer(Sender: TObject);
begin
  // self closing on timeout
  Close;
end;

procedure TSplashScreen.LinkClick(Sender: TObject);
begin
  ShellExecute(0, 'open', 'http://delphi-jedi.org', '', '.', SW_SHOWMAXIMIZED);
end;

procedure TSplashScreen.Image2Click(Sender: TObject);
begin
  ShellExecute(0, 'open', 'http://www.DeVaSys.com', '', '.', SW_SHOWMAXIMIZED);
end;

end.
